/*
 * $Id: mainwindow.h,v 0.1 2005/08/14 11:25:03 denis Exp $
 *
 * Author: Denis Kozadaev (denis@tambov.ru)
 * Description:
 *
 * See also: style(9)
 *
 * Hacked by:
 */

#ifndef	__MAIN_WINDOW_H__
#define	__MAIN_WINDOW_H__

#include <stdlib.h>

#if	QT_VERSION >= 0x040000
#include <QtGui/QMainWindow>
#include <QtGui/QMenuBar>
#include <QtGui/QMenu>
#else
#include <ntqmainwindow.h>
#include <ntqmenubar.h>
#include <ntqpopupmenu.h>
#endif

#include "gameboard.h"

class MainWindow:public TQMainWindow
{
	Q_OBJECT
public:
#if	QT_VERSION >= 0x040000
	MainWindow(QWidget *parent = NULL);
#else
	MainWindow(TQWidget *parent = NULL, const char *name = NULL);
#endif
	~MainWindow();

private:
#if	QT_VERSION >= 0x040000
	QMenu		*file;
#else
	TQPopupMenu	*file;
#endif
	GameBoard	*gb;

private slots:
	void	newGame();
	void	loadImage();
};

#endif	/* __MAIN_WINDOW_H__ */
