/*
 * $Id: main.cpp,v 0.1 2005/08/14 11:21:13 denis Exp $
 *
 * Author: Denis Kozadaev (denis@tambov.ru)
 * Description:
 *
 * See also: style(9)
 *
 * Hacked by:
 */

#include <stdlib.h>

#if	QT_VERSION >= 0x040000
#include <QtGui/QApplication>
#else
#include <ntqapplication.h>
#endif

#include "mainwindow.h"


const int
	XSize = 640,
	YSize = 480;

int
main(int argc, char *argv[])
{
	TQApplication	*app;
	MainWindow	*mw;
	int		result;

#if	QT_VERSION >= 0x040000
	QApplication::setFont(QFont("textbookc", 10));
#endif
	app = new TQApplication(argc, argv);
	mw = new MainWindow(NULL);

	mw->resize(XSize, YSize);
	mw->show();
	mw->setMinimumSize(mw->size());
	mw->setMaximumSize(mw->size());
	result = app->exec();

	delete mw;
	delete app;

	return (result);
}
